Package commoble.jumbofurnace

# Class VanillaRegistryObject<T>

java.lang.Object
commoble.jumbofurnace.VanillaRegistryObject<T>

All Implemented Interfaces:
  `Supplier<T>`

public class VanillaRegistryObject<T> extends Object implements Supplier<T>

## Constructor Summary

Constructors
Constructor
Description
`VanillaRegistryObject()`

## Method Summary

Modifier and Type
Method
Description
`static <T> VanillaRegistryObject<T>`
`create(List<Runnable> commonSetupRunnables, net.minecraft.resources.ResourceLocation id, Function<net.minecraft.resources.ResourceLocation,T> factory)`
`T`
`get()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### VanillaRegistryObject

public VanillaRegistryObject()

## Method Details

### create

public static <T> VanillaRegistryObject<T> create(List<Runnable> commonSetupRunnables, net.minecraft.resources.ResourceLocation id, Function<net.minecraft.resources.ResourceLocation,T> factory)

### get

public T get()

Specified by:
  `get` in interface `Supplier<T>`